Bug 1566407 (CVE-2018-10021) - CVE-2018-10021 kernel: ata qc leak in drivers/scsi/libsas/sas_scsi_host.c allows local users to cause denial-of-service
Summary: CVE-2018-10021 kernel: ata qc leak in drivers/scsi/libsas/sas_scsi_host.c all...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-10021
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1566408 1566409
Blocks: 1566413
TreeView+ depends on / blocked
 
Reported: 2018-04-12 09:14 UTC by Adam Mariš
Modified: 2019-09-29 14:37 UTC (History)
46 users (show)

Fixed In Version: kernel 4.16
Doc Type: If docs needed, set a value
Doc Text:
The code in the drivers/scsi/libsas/sas_scsi_host.c file in the Linux kernel allow a physically proximate attacker to cause a memory leak in the ATA command queue and, thus, denial of service by triggering certain failure conditions.
Clone Of:
Environment:
Last Closed: 2018-05-06 19:02:04 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-04-12 09:14:33 UTC
The code in the drivers/scsi/libsas/sas_scsi_host.c file in the Linux allows a physically proximate attacker to cause a memory leak in ATA command queue and thus a denial of service by triggering certain failure conditions.

References:

https://marc.info/?t=152047601000001&r=1&w=2

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=318aaf34f1179b39fa9c30fa0f3288b645beee39

Comment 1 Adam Mariš 2018-04-12 09:15:38 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1566409]

Comment 3 Fedora Update System 2018-04-18 01:04:04 UTC
kernel-4.15.17-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Vladis Dronov 2018-05-06 15:16:05 UTC
Note:

An analysis shows, this bug is a memory leak via the ATA Error Handler for a device behind a SAS HBA. The Error Handler can be triggered by someone physically unplugging the drive. So the failure can only occur for physically proximate attackers who unplug SAS Host Bus Adapter cables. Red Hat does not consider this bug to be a security flaw, as a physically proximate attacker can cause more harm to a system than just a memory leak.


Note You need to log in before you can comment on or make changes to this bug.